Passer au contenu principal
POST
/
webhooks-journal
/
subscriptions
/
2026-03
Créer un abonnement
curl --request POST \
  --url https://api.hubapi.com/webhooks-journal/subscriptions/2026-03 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subscriptionType": "OBJECT",
  "portalId": 123,
  "actions": [
    "CREATE"
  ],
  "objectTypeId": "<string>",
  "objectIds": [
    123
  ],
  "properties": [
    "<string>"
  ]
}
'
{
  "actions": [
    "CREATE"
  ],
  "appId": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": 123,
  "objectTypeId": "<string>",
  "subscriptionType": "APP_LIFECYCLE_EVENT",
  "updatedAt": "2023-11-07T05:31:56Z",
  "actionOverrides": {},
  "associatedObjectTypeIds": [
    "<string>"
  ],
  "createdBy": 123,
  "deletedAt": "2023-11-07T05:31:56Z",
  "listIds": [
    123
  ],
  "objectIds": [
    123
  ],
  "portalId": 123,
  "properties": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Corps

application/json
subscriptionType
enum<string>
défaut:OBJECT
requis
Options disponibles:
OBJECT,
ASSOCIATION,
EVENT,
APP_LIFECYCLE_EVENT,
LIST_MEMBERSHIP,
GDPR_PRIVACY_DELETION
portalId
integer<int64>
requis
actions
enum<string>[]
requis
Options disponibles:
CREATE,
UPDATE,
DELETE,
MERGE,
RESTORE,
ASSOCIATION_ADDED,
ASSOCIATION_REMOVED,
SNAPSHOT,
APP_INSTALL,
APP_UNINSTALL,
ADDED_TO_LIST,
REMOVED_FROM_LIST,
GDPR_DELETE
objectTypeId
string
requis
objectIds
integer<int64>[]
requis
properties
string[]
requis

Réponse

successful operation

actions
enum<string>[]
requis

Une liste d'actions qui déclenchent l'abonnement. Les valeurs possibles incluent « CREATE », « UPDATE », « DELETE », « MERGE », « RESTORE », « ASSOCIATION_ADDED », « ASSOCIATION_REMOVED », « SNAPSHOT », « APP_INSTALL », « APP_UNINSTALL », « ADDED_TO_LIST », « REMOVED_FROM_LIST » et « RGPD_DELETE ».

Options disponibles:
CREATE,
UPDATE,
DELETE,
MERGE,
RESTORE,
ASSOCIATION_ADDED,
ASSOCIATION_REMOVED,
SNAPSHOT,
APP_INSTALL,
APP_UNINSTALL,
ADDED_TO_LIST,
REMOVED_FROM_LIST,
GDPR_DELETE
appId
integer<int64>
requis

L'identifiant unique de l'application associée à l'abonnement. Il s'agit d'un entier formaté en int64.

createdAt
string<date-time>
requis

La date et l'heure de création de l'abonnement, au format ISO 8601.

id
integer<int64>
requis

L'identifiant unique de l'abonnement. Il s'agit d'un entier formaté en int64.

objectTypeId
string
requis

L'identifiant du type d'objet associé à l'abonnement. Il s'agit d'une chaîne de caractères.

subscriptionType
enum<string>
requis

Le type d'abonnement, qui peut être l'un des suivants : « OBJECT », « ASSOCIATION », « EVENT », « APP_LIFECYCLE_EVENT », « LIST_MEMBERSHIP » ou « RGPD_PRIVACY_DELETION ».

Options disponibles:
APP_LIFECYCLE_EVENT,
ASSOCIATION,
EVENT,
GDPR_PRIVACY_DELETION,
LIST_MEMBERSHIP,
OBJECT
updatedAt
string<date-time>
requis

La date et l'heure de la dernière mise à jour de l'abonnement, au format ISO 8601.

actionOverrides
object

Un objet contenant des remplacements d'action, où chaque clé est une action et la valeur est un objet ActionOverrideRequest.

associatedObjectTypeIds
string[]

Une liste d'ID de types d'objets associés. Chaque ID est une chaîne de caractères.

createdBy
integer<int64>

L'ID de l'utilisateur qui a créé l'abonnement. Il s'agit d'un entier formaté en int64.

deletedAt
string<date-time>

La date et l'heure de suppression de l'abonnement, au format ISO 8601, le cas échéant.

listIds
integer<int64>[]

Une liste d'ID de listes associées à l'abonnement. Chaque ID est un entier au format int64.

objectIds
integer<int64>[]

Une liste d'ID d'objets associés à l'abonnement. Chaque ID est un entier formaté en int64.

portalId
integer<int64>

L'identifiant unique du portail associé à l'abonnement. Il s'agit d'un entier formaté en int64.

properties
string[]

Une liste de noms de propriétés associés à l'abonnement. Chaque propriété est une chaîne de caractères.

Last modified on May 11, 2026